import Vue from 'vue';
import Vuex from 'vuex';
import getters from './getters';
import process from './modules/process';
import menu from './modules/menu';
import user from './modules/user';
import config from './modules/config';

Vue.use(Vuex);

const store = new Vuex.Store({
	modules: {
		process,
		menu,
		user,
		config
	},
	getters
});

export default store;
